## pylama-7.7.1-6.src.tar.gz

=== DESCRIPTION ===
pylama -- Code audit tool for python

=== Makefile ===
MODULE=pylama
SPHINXBUILD=sphinx-build
ALLSPHINXOPTS= -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
BUILDDIR=_build

LIBSDIR=$(CURDIR)/libs

.PHONY: help
# target: help - Display callable targets
help:
	@egrep "^# target:" [Mm]akefile

.PHONY: clean
# target: clean - Clean repo
clean:
	@rm -rf build dist docs/_build *.egg
	@find . -name "*.pyc" -delete
	@find . -name "*.orig" -delete
	@rm -rf $(CURDIR)/libs

# ==============
#  Bump version
# ==============

.PHONY: release
VERSION?=minor
# target: release - Bump version
release:
	@pip install bumpversion
	@bumpversion $(VERSION)
	@git checkout master
	@git merge develop
	@git checkout develop
	@git push --all
	@git push --tags

.PHONY: minor
minor: release

.PHONY: patch
patch:
	make release VERSION=patch

# ===============
#  Build package
# ===============

.PHONY: register
# target: register - Register module on PyPi
register:
	python setup.py register

.PHONY: upload
# target: upload - Upload module on PyPi
upload: clean
	@git push --all
	@git push --tags
	@pip install twine wheel
	@python setup.py sdist bdist_wheel
	@twine upload dist/*.tar.gz || true
	@twine upload dist/*.whl || true

# =============
#  Development
# =============

.PHONY: t
t test:
	@py.test --pylama pylama
	@py.test -sx tests

.PHONY: audit
audit:
	@python -m "pylama.main"

.PHONY: docs
docs: docs
	@python setup.py build_sphinx --source-dir=docs/ --build-dir=docs/_build --all-files

=== requirements.txt ===
# Test requirements

mccabe      >= 0.5.2
pycodestyle >= 2.3.1
pydocstyle  >= 2.0.0
pyflakes    >= 1.5.0

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Contributor: Pieter Goetschalckx <3.14.e.ter at gmail dot com>
# Contributor: Stijn Seghers (Procrat) <stijnseghers at gmail dot com>

pkgname=pylama
pkgver=7.7.1
pkgrel=6
pkgdesc="Code audit tool for python"
arch=('any')
url="https://github.com/klen/pylama"
license=('GPL3')
depends=('python-pycodestyle' 'python-pydocstyle' 'python-pyflakes' 'python-mccabe')
checkdepends=('python-pytest' 'git' 'mypy')
optdepends=('python-radon: radon support')
source=("$pkgname-$pkgver.tar.gz::https://github.com/klen/pylama/archive/$pkgver.tar.gz"
        pylama-pytest-6.patch::https://github.com/klen/pylama/pull/189.patch)
sha256sums=('acec2b80ad6a4781dc2626992b10ecac7b81be6c0145750c11688c281298f6fe'
            '6a025bb41afe783841ecb28ab6faada4be9d7b3d152f0a58970757953d343cba')

prepare() {
  cd $pkgname-$pkgver
  patch -p1 -i ../pylama-pytest-6.patch
}

build() {
  cd $pkgname-$pkgver
  python setup.py build
}

check() {
  cd $pkgname-$pkgver
  python setup.py install --root="$PWD/tmp_install" --optimize=1
  PYTHONPATH="$PWD/tmp_install/usr/lib/python3.9/site-packages:$PYTHONPATH:$PWD/tests" py.test --pylama pylama
  PYTHONPATH="$PWD/tmp_install/usr/lib/python3.9/site-packages:$PYTHONPATH:$PWD/tests" py.test tests --deselect tests/test_config.py::test_ignore_select \
                                                                                                     --deselect tests/test_linters.py::test_eradicate
}

package() {
  cd $pkgname-$pkgver
  python setup.py install --root="$pkgdir/" --optimize=1

  mv "$pkgdir"/usr/lib/python3.9/site-packages/{,pylama/}tests
}
